Name: x11-driver-video-voodoo
Version: 1.2.6
Release: %mkrel 1
Summary: The X.org video driver for Voodoo1 and Voodoo2 video adapters
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-voodoo-%{version}.tar.xz

License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-voodoo is the X.org video driver for Voodoo1 and Voodoo2
video adapters.

%prep
%setup -q -n xf86-video-voodoo-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/voodoo_drv.so
%{_mandir}/man4/voodoo.*




%changelog
* Thu Dec 15 2022 luigiwalser <luigiwalser> 1.2.6-1.mga9
+ Revision: 1922728
- remove patch
- 1.2.6

* Fri Apr 01 2022 umeabot <umeabot> 1.2.5-23.mga9
+ Revision: 1838050
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 1.2.5-22.mga9
+ Revision: 1751734
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.2.5-21.mga8
+ Revision: 1518578
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.5-20.mga7
+ Revision: 1301781
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 1.2.5-19.mga7
+ Revision: 1238594
- fix build on aarch64
- drop .la files
- drop old conflicts

* Fri Mar 09 2018 tv <tv> 1.2.5-18.mga7
+ Revision: 1207729
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.2.5-17.mga6
+ Revision: 1067748
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.2.5-16.mga6
+ Revision: 1043302
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.2.5-15.mga6
+ Revision: 963466
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.2.5-14.mga6
+ Revision: 902323
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.2.5-13.mga6
+ Revision: 902075
- rebuild for new xserver

* Wed Jun 24 2015 tv <tv> 1.2.5-12.mga6
+ Revision: 842382
- actually apply patch
- fix from git
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-11.mga5
+ Revision: 746768
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-10.mga5
+ Revision: 690470
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.2.5-9.mga5
+ Revision: 635060
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.2.5-8.mga5
+ Revision: 633705
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.2.5-7.mga5
+ Revision: 614401
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.2.5-6.mga5
+ Revision: 582383
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 1.2.5-5.mga4
+ Revision: 525442
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.2.5-4.mga4
+ Revision: 433208
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.2.5-3.mga4
+ Revision: 386040
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.2.5-2.mga3
+ Revision: 288981
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.2.5-1.mga3
+ Revision: 273808
- new release
- new release

* Wed Jun 06 2012 tmb <tmb> 1.2.4-9.mga3
+ Revision: 256513
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.2.4-8.mga3
+ Revision: 253037
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.2.4-7.mga3
+ Revision: 249984
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.2.4-6.mga2
+ Revision: 177707
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.2.4-5.mga2
+ Revision: 153140
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.2.4-4.mga1
+ Revision: 64425
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.2.4-3.mga1
+ Revision: 50349
- imported package x11-driver-video-voodoo


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.4-3mdv2011.0
+ Revision: 595725
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.4-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Thu Jul 22 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.2.4-1mdv2011.0
+ Revision: 557071
- New version: 1.2.4

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 1.2.3-1mdv2010.0
+ Revision: 407746
- new release

* Thu Feb 26 2009 Thierry Vignaud <tv@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 345056
- new release
- fix group

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.0-3mdv2009.1
+ Revision: 308271
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2009.0
+ Revision: 266024
- rebuild early 2009.0 package (before pixel changes)
- improved description

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-1mdv2009.0
+ Revision: 194130
- Update to version 1.2.0.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-4mdv2008.1
+ Revision: 166221
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-3mdv2008.1
+ Revision: 156631
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-2mdv2008.1
+ Revision: 154768
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update to use existing tag xf86-video-voodoo-1.1.1, and add patches up to
  mandriva branch.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-1mdv2008.1
+ Revision: 99040
- new upstream version: 1.1.1
- minor spec cleanup

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2008.0
+ Revision: 75826
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 21:11:32 (36659)
- new upstream release

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 15:39:01 (31704)
- fill in summary & descriptions for all video drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

